# This file is appended to as I find out about more vendors that have publicly
# referenced their AWS account IDs to create some sort of trust relationships.
#
# -- Parameterers
# name: Vendor name.
# source: URL that publicly mentions the account ID in association with this
#     vendor.
# type: Optional parameter, mostly used to reference `aws`
# accounts: Array of 12-digit AWS account IDs
#
# Note the `name` is referenced in ./web/style.json which then references an
# image file in ./web/icons/logos/ for these vendors to display in the
# web-of-trust view.
#
# Some of these were found originally from https://github.com/dagrz/aws_pwn/blob/master/miscellanea/integrations.txt

- name: 'Cloudhealth'
  source: 'https://github.com/mozilla/security/blob/master/operations/cloudformation-templates/cloudhealth_iam_role.json'
  accounts: ['454464851268']
- name: 'SegmentIO'
  source: ['https://segment.com/docs/destinations/amazon-s3/', 'https://segment.com/docs/destinations/amazon-kinesis/']
  accounts: ['107630771604', '595280932656']
- name: 'StackDriver'
  source: ['https://web.archive.org/web/20150423044518/https://support.stackdriver.com/customer/portal/articles/1491790-setting-up-stackdriver-for-your-aws-account', 'https://support.stackdriver.com/customer/portal/articles/1491790-setting-up-stackdriver-for-your-aws-account']
  accounts: ['314658760392']
- name: 'Zencoder'
  source: 'https://support.brightcove.com/using-zencoder-s3'
  accounts: ['395540211253']
- name: 'Datadog'
  source: 'https://docs.datadoghq.com/integrations/amazon_web_services/'
  accounts: ['464622532012']
- name: 'Cloudability'
  source: ['https://github.com/edrans/tf-aws-iam-cloudability', 'https://developers.cloudability.com/docs/vendor-credentials-end-point']
  accounts: ['165736516723']
- name: 'Rackspace'
  source: 'https://manage.rackspace.com/aws/docs/product-guide/patching/ec2/meltdown.html'
  accounts: ['507897595701']
- name: 'New Relic'
  source: ['https://docs.newrelic.com/docs/integrations/amazon-integrations/get-started/connect-aws-services-infrastructure', 'https://docs.newrelic.com/docs/infrastructure/new-relic-infrastructure/data-instrumentation/amazon-aws-ec2-integration-infrastructure']
  accounts: ['754728514883', '017663287629']
- name: 'Brightcove'
  source: 'https://support.brightcove.com/using-dynamic-ingest-s3'
  accounts: ['749779118921']
- name: 'CloudCheckr'
  source: 'https://support.cloudcheckr.com/cloudcheckr-api-userguide/cloudcheckr-admin-api-reference-guide/'
  accounts: ['352813966189']
- name: 'SignifAI'
  source: 'https://docs.signifai.io/docs/amazon-web-services'
  accounts: ['265975144233']
- name: 'ParkMyCloud'
  source: 'https://parkmycloud.atlassian.net/wiki/spaces/PMCUG/pages/43876427/Create+an+IAM+Role+in+AWS+for+ParkMyCloud'
  accounts: ['753542375798']
- name: 'CenturyLinkCloud'
  source: 'https://www.ctl.io/knowledge-base/cloud-application-manager/deploying-anywhere/using-your-aws-account/'
  accounts: ['540339316802']
- name: 'ELB logs'
  type: 'aws'
  source: 'https://docs.aws.amazon.com/elasticloadbalancing/latest/classic/enable-access-logs.html'
  accounts: ['127311923021', '033677994240', '027434742980', '797873946194', '985666609251', '054676820928', '156460612806', '652711504416', '009996457667', '582318560864', '600734575887', '383597477331', '114774131450', '783225319266', '718504428378', '507241528517', '048591011584', '638102146993', '037604701340']
- name: 'Redshift logs'
  type: 'aws'
  source: 'https://docs.aws.amazon.com/redshift/latest/mgmt/db-auditing.html'
  accounts: ['193672423079', '391106570357', '262260360010', '902366379725', '865932855811', '760740231472', '361669875840', '762762565011', '404641285394', '660998842044', '907379612154', '053454850223', '210876761215', '307160386991', '915173422425', '075028567923']
- name: 'Billing'
  type: 'aws'
  source: 'https://docs.aws.amazon.com/awsaccountbilling/latest/aboutv2/billing-getting-started.html#step-2'
  accounts: ['386209384616']
- name: 'skeddly'
  source: 'http://thecloudmarket.com/owner/478299826944'
  accounts: ['478299826944']
- name: 'freshservice'
  source: 'https://support.freshservice.com/support/solutions/articles/207515-creating-a-role-arn-for-integrating-amazon-web-services-aws-in-freshservice'
  accounts: ['618708667954']
- name: 'signalfx'
  source: 'https://signalfx-product-docs.readthedocs-hosted.com/en/latest/getting-started/send-data.html'
  accounts: ['134183635603']
- name: 'cloudsploit'
  source: 'https://cloudsploit.freshdesk.com/support/solutions/articles/17000008755-connecting-an-aws-account-to-cloudsploit'
  accounts: ['057012691312']
- name: 'globus'
  source: 'https://docs.globus.org/how-to/amazon-aws-s3-endpoints/'
  accounts: ['328067584297']
- name: 'dynatrace'
  source: 'https://help.dynatrace.com/monitor-cloud-virtualization-and-hosts/cloud/how-do-i-start-amazon-web-services-monitoring/'
  accounts: ['509560245411']
- name: 'deepsecurity'
  source: 'https://esupport.trendmicro.com/media/13166096/Generate-AWS-Role.pdf'
  accounts: ['862820443276']
- name: 'cloudbreak'
  source: 'https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.3.0/bk_cldbrk_install/bk_CLBK_IAG/content/clbk_iam_console.html'
  accounts: ['755047402263']
- name: 'teraproc'
  source: 'http://www.teraproc.com/awskey/'
  accounts: ['122931797421']
- name: 'orbitera'
  source: 'https://support.orbitera.com/support/solutions/articles/147040-add-new-aws-accounts'
  accounts: ['328676173091']
- name: 'redline13'
  source: 'https://www.redline13.com/blog/aws-setup/'
  accounts: ['635144173025']
- name: 'kochava'
  source: 'https://support.kochava.com/reference-information/traffic-import-tool'
  accounts: ['719465667078']
- name: 'instaclustr'
  source: 'https://support.instaclustr.com/hc/en-us/articles/226565607-Setting-Up-a-Datacenter-with-EBS-Encryption'
  accounts: ['624537489435']
- name: 'CloudTrail'
  type: 'aws'
  source: 'https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-supported-regions.html'
  accounts: ['475085895292', '086441151436', '388731089494', '113285607260', '819402241893', '977081816279', '765225791966', '492519147666', '903692715234', '284668455005', '216624486486', '681348832753', '035351147821', '859597730677', '282025262664', '262312530599', '814480443879']
- name: 'Summit Route'
  type: 'SummitRoute'
  source: 'https://summitroute.com/aws_security_assessments/'
  accounts: ['393727464233']
- name: 'TrendMicro'
  source: 'https://help.deepsecurity.trendmicro.com/Add-Computers/add-aws.html'
  accounts: ['147995105371']
- name: 'Convox'
  source: 'https://convox.com/docs/aws-integration'
  accounts: ['665986001363']
- name: 'Spotinst'
  source: 'https://help.spotinst.com/hc/en-us/articles/360000343509-Functions-Permissions-Model-IAM-Role-'
  accounts: ['922761411349']
- name: 'Redlock'
  source: 'https://docs.paloaltonetworks.com/redlock/redlock-admin/connect-your-cloud-platform-to-redlock/onboard-your-aws-account/set-up-your-aws-account.html'
  accounts: ['188619942792']
- name: 'Sumo Logic'
  source: 'https://help.sumologic.com/03Send-Data/Sources/02Sources-for-Hosted-Collectors/Amazon-Web-Services/Grant-Access-to-an-AWS-Product'
  accounts: ['926226587429']
- name: 'Bridgecrew'
  accounts: ['890234264427']
  source: 'https://bridgecrew.cloud'
- name: 'Lacework'
  source: 'https://support.lacework.com/hc/en-us/articles/360017546933-Getting-Started'
  accounts: ['434813966438']
- name: 'Onelogin'
  source: 'https://onelogin.service-now.com/kb_view_customer.do?sysparm_article=KB0010344'
  accounts: ['842984801698']
- name: 'nOps'
  accounts: ['202279780353']
  source: 'https://help.nops.io/manual_setup'
- name: 'Fivetran'
  source: 'https://fivetran.com/docs/logs/cloudwatch/setup-guide'
  accounts: ['834469178297']
- name: 'Rapid7'
  accounts: ['336818582268']
  source: 'https://insightvm.help.rapid7.com/docs/aws-connect-to-cloud-configuration-assessment'
- name: 'Databricks'
  source: 'https://docs.databricks.com/administration-guide/account-settings/aws-accounts.html'
  accounts: ['414351767826']
- name: 'Threat Stack'
  source: 'https://threatstack.zendesk.com/hc/en-us/articles/206006626-AWS-EC2-Integration'
  accounts: ['896126563706']
- name: 'Cloudyn'
  source: 'https://docs.microsoft.com/bs-latn-ba/azure/cost-management/connect-aws-account'
  accounts: ['432263259397']
- name: 'Lucidchart'
  source: 'https://lucidchart.zendesk.com/hc/en-us/articles/208018563-Create-an-IAM-User-or-a-Cross-Account-Role-in-AWS-for-Lucidchart'
  accounts: ['799803075172']
- name: 'Workato'
  source: 'https://docs.workato.com/connectors/s3.html'
  accounts: ['353360065216']
- name: 'Palo Alto Networks'
  source: 'https://github.com/terraform-providers/terraform-provider-aws/issues/6674'
  accounts: ['122442690527']
- name: 'CloudZero'
  source: 'https://www.cloudzero.com/hubfs/CloudZero%20Configuration%20Guide%20-%20Automated.pdf'
  accounts: ['061190967865']
- name: 'Cloudinary'
  source: 'https://support.cloudinary.com/hc/en-us/articles/203276521-How-do-I-allow-Cloudinary-to-read-from-my-private-S3-bucket-'
  accounts: ['232482882421']
- name: 'Tenable'
  source: 'https://docs.tenable.com/tenableio/vulnerabilitymanagement/Content/Settings/Connectors_ConfigureAWS_KeylessAutoDiscovery.htm'
  accounts: ['012615275169']
- name: 'Stitch'
  source: 'https://www.stitchdata.com/docs/destinations/amazon-s3/connecting-an-amazon-s3-data-warehouse-to-stitch'
  accounts: ['218546966473']
- name: 'Emnify'
  source: 'https://www.emnify.com/datastreamer-integration-into-aws'
  accounts: ['884047677700']
- name: 'Qualys Cloud View'
  source: 'https://qualysguard.qualys.com/qwebhelp/fo_portal/scans/ec2_connector.htm'
  accounts: ['080595016317', '205767712438']
- name: 'Auth0'
  source: 'https://auth0.com/docs/integrations/aws/sso'
  accounts: ['951887872838']
- name: 'Altus'
  source: 'https://blog.cloudera.com/cloudera-altus-cloud-services-youre-in-control-part-2/'
  accounts: ['062663104137']
- name: 'AlertLogic'
  source: 'https://docs.alertlogic.com/prepare/iam-role-creation.htm#top'
  accounts: ['239734009475', '733251395267', '857795874556']
- name: 'CloudConformity'
  source: 'https://github.com/cloudconformity/documentation-api/blob/master/Accounts.md#update-account'
  accounts: ['717210094962']
- name: 'Nessus AWS Connector'
  source: 'https://docs.tenable.com/tenableio/vulnerabilitymanagement/Content/Settings/Connectors_ConfigureAWS_KeylessAutoDiscovery.htm'
  accounts: ['012615275169']
- name: 'Dome9 Arc'
  source: 'https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-partner-providers.html'
  accounts: ['634729597623']
- name: 'FortiCASB'
  source: 'https://fortinetweb.s3.amazonaws.com/docs.fortinet.com/v2/attachments/bf017449-572a-11e9-81a4-00505692583a/forticasb-4.1.0-admin-guide.pdf'
  accounts: ['854209929931']
- name: 'FortiCWP'
  source: 'https://docs.fortinet.com/document/forticwp/4.4.0/online-help/828941/amazon-web-services'
  accounts: ['854209929931']
- name: 'Azure Sentinel'
  accounts: ['197857026523']
- name: 'Azure Billing Management'
  source: 'https://docs.microsoft.com/en-us/azure/cost-management/aws-integration-manage'
  accounts: ['432263259397']
- name: 'ADC Application Deployment, ADM Delivery Management'
  source: 'https://docs.citrix.com/en-us/citrix-application-delivery-management-service/hybrid-multi-cloud-deployments/autoscale-for-aws/autoscale-for-aws-configuration.html'
  accounts: ['835822366011']
- name: 'CloudManager for CloudVolumes'
  source: 'https://docs.netapp.com/us-en/cloud_volumes/aws/media/cvs_aws_account_setup.pdf'
  accounts: ['695990169366']
- name: 'Axonius.com'
  accounts: ['802876684602', '817364327683', '405773942477']
- name: 'Fugue'
  # https://docs.fugue.co/setup.html
  accounts: ['370134896156', '944830124550']
- name: 'CloudPhysics'
  source: 'https://www.cloudphysics.com/connectaws/'
  accounts: ['863002038009']
- name: 'QRadar'
  accounts: ['429269239926']
- name: 'LogicMonitor'
  accounts: ['282028653949']
- name: 'MVision ePO'
  source: 'https://docs.mcafee.com/bundle/prod-name-n.n.x-guide-type/page/GUID-9B6E696A-78DA-4F41-A0FC-39699DD39639.html'
  accounts: ['307653271100']
- name: 'Cloud Workload Protection'
  source: 'https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-partner-providers.html'
  accounts: ['754237914691']
- name: 'Cloud Workload Protection'
  # Same as above, but unconfirmed ID
  accounts: ['033496790460']
- name: 'Logz.io'
  accounts: ['406095609952']
- name: 'Xi Frame'
  accounts: ['178591426237']
- name: 'CloudWisdom, metricly'
  accounts: ['270852171095']
- name: 'Rockset'
  accounts: ['216690786812']
- name: 'CloudHiro'
  # This company apparently used to be called AWS4Less
  source: 'https://cloudhiro.com/AWS/AWSRegistrationGuide.php'
  accounts: ['545334166883']
- name: 'Densify'
  source: 'https://www.densify.com/docs/Content/Data_Collection_for_Public_Cloud_Systems/AWS_Data_Collection_Prerequisites_for_an_IAM_Role.htm'
  accounts: ['036437403198']
- name: 'Armor Anywhere'
  source: ['https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-partner-providers.html', 'https://docs.armor.com/pages/viewpage.action?pageId=20709565']
  accounts: ['679703615338', '345186984524']
- name: 'Genys'
  source: 'https://help.mypurecloud.com/articles/create-iam-resources-to-invoke-an-aws-lambda-function/'
  accounts: ['765628985471']
- name: 'site24x7'
  accounts: ['949777495771']
- name: 'ylastic'
  source: 'https://blog.ylastic.com/post/153943542476/iam-role-with-external-id-for-cross-account-access'
  accounts: ['710193521658']
- name: 'qubole'
  source: 'https://docs.qubole.com/en/latest/user-guide/managing-accounts/aws/iam-roles/override-iam-roles.html'
  accounts: ['805246085872']
- name: 'Cloudability'
  source: 'https://developers.cloudability.com/docs/vendor-credentials-end-point'
  accounts: ['165736516723']
- name: 'VManage'
  source: 'https://www.cisco.com/c/en/us/td/docs/routers/sdwan/configuration/Network-Optimization-and-High-Availability/Network-Optimization-High-Availability-book/b_Network-Optimization-and-HA_chapter_00.html'
  accounts: ['200235630647']
- name: 'Cloud Applicatoin Manager'
  source: 'https://www.ctl.io/knowledge-base/cloud-application-manager/deploying-anywhere/using-your-aws-account/#create-an-iam-role-with-the-policy-chosen'
  accounts: ['540339316802']
- name: 'Cloudaware'
  accounts: ['814021343637']
- name: 'Cloud Ranger'
  accounts: ['558211695259']
- name: 'FoxPass'
  source: 'https://docs.foxpass.com/docs/access-control-integration-with-amazon-ec2'
  accounts: ['843529240033']
- name: 'Nirmata'
  source: 'https://nirmata-documentation.readthedocs.io/en/latest/CloudProviders.html'
  accounts: ['094919933512']
- name: 'GitLab'
  accounts: ['855262394183', '956491294349']
- name: 'Snyk'
  source: 'https://support.snyk.io/hc/en-us/articles/360004002418-AWS-Lambda-integration'
  accounts: ['198361731867']
- name: 'CloudCraft'
  accounts: ['968898580625']
- name: 'JupiterOne'
  source: 'https://github.com/JupiterOne/jupiterone-aws-cloudformation/commit/c9abbbcc3e29474c6605a6f8ace5ec0ff475d3f8'
  accounts: ['612791702201']
- name: 'rev.com'
  source: 'https://www.rev.com/api/s3bucketpolicy'
  accounts: ['414502572119']
- name: 'Funnel'
  source: 'https://help.funnel.io/en/articles/1494351-amazon-s3-bucket-configuration'
  accounts: ['071303700930']
- name: 'Domo'
  source: 'https://knowledge.domo.com/Connect/Connecting_to_Data_with_Connectors/Configuring_Each_Connector/Connectors_for_File_Retrieval/Amazon_S3_AssumeRole_Connector'
  accounts: ['339405024189', '010251424122', '687132894031', '622384692065']
- name: 'Atlas DataLake'
  accounts: ['962727799805']
- name: 'Upsolver'
  accounts: ['428641199958']
- name: 'Weave Cloud'
  source: 'https://eksctl.io/'
  accounts: ['376248598259']
- name: 'ChaosSearch'
  source: 'https://docs.chaossearch.io/docs/prerequisites'
  accounts: ['515570774723']
- name: 'EDB Postgres'
  # https://www.enterprisedb.com/edb-docs/d/edb-postgres-ark-platform/user-guides/administrative-users-guide/3.0/EDB_Ark_Administrative_User_Guide.1.20.html
  accounts: ['305753120797']
- name: 'TheGlobalSolutions.net'
  # http://www.theglobalsolutions.net/awspatching/saas_help.php
  accounts: ['726941830086']
- name: 'wpengine'
  source: 'https://wpengine.com/support/configuring-largefs-store-transfer-unlimited-data/'
  accounts: ['902500896138']
- name: 'cloudsqueeze'
  # source: 'https://app.cloudsqueeze.ai/awsAddAccount'
  accounts: ['759994998399']
- name: 'ThingSpace'
  source: 'https://thingspace.verizon.com/resources/documentation/cloudconnector/Getting_Started/Streaming_to_AWS/'
  accounts: ['675479154635']
- name: 'Anodot'
  source: 'https://support.anodot.com/hc/en-us/articles/360034553113-Enable-Reading-from-the-Kinesis-Stream'
  accounts: ['340481513670']
- name: 'MediaMath'
  source: 'https://apidocs.mediamath.com/reporting/log-level-data-service/overview#data-security-and-authorization'
  accounts: ['794878508631']
- name: 'Presidio'
  source: 'customer IAM policy'
  accounts: ['118652503430']
- name: 'Checkpoint Cloudguard'
  source: 'https://supportcenter.checkpoint.com/supportcenter/portal?eventSubmit_doGoviewsolutiondetails=&solutionid=sk159912&partition=Basic&product=CloudGuard'
  accounts: ['634729597623']
- name: 'Cisco Umbrella'
  source: 'https://docs.umbrella.com/umbrella-user-guide/docs/enable-logging-to-your-own-s3-bucket'
  accounts: ['568526795995']
- name: 'Cloudflare'
  source: 'https://developers.cloudflare.com/logs/logpush/aws-s3'
  accounts: ['391854517948']
- name: '[Deprecated] AWS Log delivery Service'
  source: 'https://forums.aws.amazon.com/thread.jspa?messageID=629256'
  accounts: ['858827067514']
- name: 'Epsagon'
  source: 'https://docs.epsagon.com/docs/faq'
  accounts: ['066549572091']
- name: 'Turbot'
  source: 'https://turbot.com/v5/docs/integrations/aws/import-aws-account'
  accounts: ['287590803701', '255798382450']
- name: 'Qualys AWS EC2 Connector'
  source: 'https://qualys-secure.force.com/discussions/s/question/0D52L00004TnxTqSAJ/aws-ec2-connector-creation-automation'
  accounts: ['805950163170']
- name: 'API Gateway'
  type: 'aws'
  source: 'https://docs.aws.amazon.com/apigateway/latest/developerguide/set-up-api-with-vpclink-accounts.html'
  accounts: ['392220576650', '718770453195', '968246515281', '109351309407', '796887884028', '631144002099', '544388816663', '061510835048', '474240146802', '394634713161', '969236854626', '020402002396', '195145609632', '798376113853', '507069717855', '174803364771', '287228555773', '855739686837']
- name: 'Slack EKM'
  source: 'https://slackhq.com/dotcom/dotcom/wp-content/uploads/sites/6/2019/08/Slack-EKM-Implementation-Guide-1.pdf'
  accounts: ['152659312504', '429538831549']
